import React from "react";
import { StyleSheet, View } from "react-native";
import { TextInput } from "react-native";
import {
  widthPercentageToDP as wp,
  heightPercentageToDP as hp,
} from "react-native-responsive-screen";

const CustomTextInput = (props) => {
  return (
    <View style={[styles.textInput, props.externalStyle]}>
      <TextInput placeholder={props.placeholder} />
    </View>
  );
};

const styles = StyleSheet.create({
  textInput: {
    borderWidth: 1,
    width: wp("85"),
    borderRadius: 4,
    paddingVertical: hp("1"),
    paddingHorizontal: wp("2"),
    marginVertical: hp("1"),
  },
});
export default CustomTextInput;
